routes/admin.php
<?php
Route::resource('product', 'ProductController');

routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('admin/auth/login');
});

Auth::routes();

//Route::get('/home', 'HomeController@index')->name('home');

Route::group(['prefix' => 'admin/', 'as' => 'admin.', 'namespace' => 'Admin\\', 'middleware' => 'auth'], function() {

    /**
     * Generator Route
     */
    Route::get('generator',  ['as' => 'generator',  'uses' => 'Generator\GeneratorDashboardController@index']);
    Route::post('generator/render',  ['as' => 'generator.render',  'uses' => 'Generator\GeneratorDashboardController@ajaxRender']);
    Route::post('generator/renderAll',  ['as' => 'generator.renderAll',  'uses' => 'Generator\GeneratorDashboardController@ajaxRenderAll']);
    Route::post('generator/sub-render',  ['as' => 'generator.sub-render',  'uses' => 'Generator\GeneratorDashboardController@ajaxSubRender']);
    Route::post('generator/image-render',  ['as' => 'generator.image-render',  'uses' => 'Generator\GeneratorDashboardController@ajaxImageRender']);
    Route::post('generator/create',  ['as' => 'generator.create',  'uses' => 'Generator\GeneratorController@create']);

    /**
     * Admin Dashboard Route
     */
    Route::get('dashboard',  ['as' => 'dashboard',  'uses' => 'DashboardController@index']);

    include_once(base_path('routes/admin.php'));

});

resources/views/admin/layouts/footer.blade.php
<div class="footer">
    <div class="float-right">
        10GB of <strong>250GB</strong> Free.
    </div>
    <div>
        <strong>Copyright</strong> Example Company &copy; 2014-2018
    </div>
</div>

resources/views/admin/layouts/head.blade.php
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <title>@yield('title')</title>
    <link href="{{ asset('assets/admin/css/bootstrap.min.css') }}" rel="stylesheet">
    <link href="{{ asset('assets/admin/font-awesome/css/font-awesome.css') }}" rel="stylesheet">
    <!-- Toastr style -->
    <link href="{{ asset('assets/admin/css/plugins/toastr/toastr.min.css') }}" rel="stylesheet">
    <!-- Gritter -->
    <link href="{{ asset('assets/admin/js/plugins/gritter/jquery.gritter.css') }}" rel="stylesheet">
    <link href="{{ asset('assets/admin/css/animate.css') }}" rel="stylesheet">
    <link href="{{ asset('assets/admin/css/style.css') }}" rel="stylesheet">
    <!-- custom style -->
    <link href="{{ asset('assets/admin/css/custom.css') }}" rel="stylesheet">

    @stack('style')

</head>

resources/views/admin/layouts/header.blade.php
@include('admin.layouts.head')

resources/views/admin/layouts/layout.blade.php
<!DOCTYPE html>
<html>

<!-- head section -->
@include('admin.layouts.head')

<body>
    <div id="wrapper">

        <!-- sidenavbar section -->
        @include('admin.layouts.sidenavbar')

        <div id="page-wrapper" class="gray-bg dashbard-1">

            <!-- Topnavbar section -->
            @include('admin.layouts.topnavbar')

            <!-- content/body section -->
            @yield('content')
            <!-- this is footer section -->
            @include('admin.layouts.footer')

        </div>

    </div>

<!-- footer section -->
@include('admin.layouts.script')
</body>
</html>

resources/views/admin/layouts/menu.blade.php
<li class="{{ (request()->is('admin/product*')) ? 'active' : '' }}">
    <a href="#" aria-expanded="false">
        <i class="fa fa-bar-chart-o"></i> <span class="nav-label">Product </span><span class="fa arrow"></span>
    </a>
    <ul class="nav nav-second-level collapse" aria-expanded="false">
        <li class="{{ (request()->is('admin/product')) ? 'active' : '' }}"><a href="{{ route('admin.product.index') }}">List</a></li>
        <li class="{{ (request()->is('admin/product/create')) ? 'active' : '' }}"><a href="{{ route('admin.product.create') }}">Add</a></li>
    </ul>
</li>

resources/views/admin/layouts/script.blade.php
    <!-- Mainly scripts -->
    <script src="{{ asset('assets/admin/js/jquery-3.1.1.min.js') }}"></script>
    <script src="{{ asset('assets/admin/js/popper.min.js') }}"></script>
    <script src="{{ asset('assets/admin/js/bootstrap.js') }}"></script>
    <script src="{{ asset('assets/admin/js/plugins/metisMenu/jquery.metisMenu.js') }}"></script>
    <script src="{{ asset('assets/admin/js/plugins/slimscroll/jquery.slimscroll.min.js') }}"></script>

    <!-- GITTER -->
    <script src="{{ asset('assets/admin/js/plugins/gritter/jquery.gritter.min.js') }}"></script>

    <!-- Custom and plugin javascript -->
    <script src="{{ asset('assets/admin/js/inspinia.js') }}"></script>

    <script>
        @if(Session::has('success'))
        setTimeout(function() {
            toastr.options = {
                closeButton: true,
                progressBar: true,
                showMethod: 'slideDown',
                timeOut: 4000
            };
            toastr.success("{{ Session::get('success') }}");

        }, 1300);
        @endif
    </script>

@stack('js')

resources/views/admin/layouts/sidenavbar.blade.php
<nav class="navbar-default navbar-static-side" role="navigation">
<div class="sidebar-collapse">
<ul class="nav metismenu" id="side-menu">
    <li class="nav-header">
        <div class="dropdown profile-element">
            <img alt="image" class="rounded-circle" src="{{ asset('assets/admin/images/profile_small.jpg') }}"/>
            <a data-toggle="dropdown" class="dropdown-toggle" href="#">
                <span class="block m-t-xs font-bold">David Williams</span>
                <span class="text-muted text-xs block">Art Director <b class="caret"></b></span>
            </a>
            <ul class="dropdown-menu animated fadeInRight m-t-xs">
                <li><a class="dropdown-item" href="profile.html">Profile</a></li>
                <li><a class="dropdown-item" href="contacts.html">Contacts</a></li>
                <li><a class="dropdown-item" href="mailbox.html">Mailbox</a></li>
                <li><a class="dropdown-item" href="{{ route('admin.generator') }}">Generator</a></li>
                <li class="dropdown-divider"></li>
                <li><a class="dropdown-item" href="login.html">Logout</a></li>
            </ul>
        </div>
        <div class="logo-element">
            IN+
        </div>
    </li>

    @include('admin.layouts.menu')

</ul>
</div>
</nav>

resources/views/admin/layouts/topnavbar.blade.php
<div class="row border-bottom">
<nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0">
    <div class="navbar-header">
    <a class="navbar-minimalize minimalize-styl-2 btn btn-primary " href="#"><i class="fa fa-bars"></i> </a>
    <form role="search" class="navbar-form-custom" action="search_results.html">
        <div class="form-group">
            <input type="text" placeholder="Search for something..." class="form-control" name="top-search" id="top-search">
        </div>
    </form>
    </div>
    <ul class="nav navbar-top-links navbar-right">
        <li style="padding: 20px">
            <span class="m-r-sm text-muted welcome-message">Welcome to INSPINIA+ Admin Theme.</span>
        </li>
        <li class="dropdown">
            <a class="dropdown-toggle count-info" data-toggle="dropdown" href="#">
                <i class="fa fa-envelope"></i>  <span class="label label-warning">16</span>
            </a>
            <ul class="dropdown-menu dropdown-messages dropdown-menu-right">
                <li>
                    <div class="dropdown-messages-box">
                        <a class="dropdown-item float-left" href="profile.html">
                            <img alt="image" class="rounded-circle" src="{{ asset('assets/admin/images/a7.jpg') }}">
                        </a>
                        <div class="media-body">
                            <small class="float-right">46h ago</small>
                            <strong>Mike Loreipsum</strong> started following <strong>Monica Smith</strong>. <br>
                            <small class="text-muted">3 days ago at 7:58 pm - 10.06.2014</small>
                        </div>
                    </div>
                </li>
                <li class="dropdown-divider"></li>
                <li>
                    <div class="dropdown-messages-box">
                        <a class="dropdown-item float-left" href="profile.html">
                            <img alt="image" class="rounded-circle" src="{{ asset('assets/admin/images/a4.jpg') }}">
                        </a>
                        <div class="media-body ">
                            <small class="float-right text-navy">5h ago</small>
                            <strong>Chris Johnatan Overtunk</strong> started following <strong>Monica Smith</strong>. <br>
                            <small class="text-muted">Yesterday 1:21 pm - 11.06.2014</small>
                        </div>
                    </div>
                </li>
                <li class="dropdown-divider"></li>
                <li>
                    <div class="dropdown-messages-box">
                        <a class="dropdown-item float-left" href="profile.html">
                            <img alt="image" class="rounded-circle" src="{{ asset('assets/admin/images/profile.jpg') }}">
                        </a>
                        <div class="media-body ">
                            <small class="float-right">23h ago</small>
                            <strong>Monica Smith</strong> love <strong>Kim Smith</strong>. <br>
                            <small class="text-muted">2 days ago at 2:30 am - 11.06.2014</small>
                        </div>
                    </div>
                </li>
                <li class="dropdown-divider"></li>
                <li>
                    <div class="text-center link-block">
                        <a href="mailbox.html" class="dropdown-item">
                            <i class="fa fa-envelope"></i> <strong>Read All Messages</strong>
                        </a>
                    </div>
                </li>
            </ul>
        </li>
        <li class="dropdown">
            <a class="dropdown-toggle count-info" data-toggle="dropdown" href="#">
                <i class="fa fa-bell"></i>  <span class="label label-primary">8</span>
            </a>
            <ul class="dropdown-menu dropdown-alerts">
                <li>
                    <a href="mailbox.html" class="dropdown-item">
                        <div>
                            <i class="fa fa-envelope fa-fw"></i> You have 16 messages
                            <span class="float-right text-muted small">4 minutes ago</span>
                        </div>
                    </a>
                </li>
                <li class="dropdown-divider"></li>
                <li>
                    <a href="profile.html" class="dropdown-item">
                        <div>
                            <i class="fa fa-twitter fa-fw"></i> 3 New Followers
                            <span class="float-right text-muted small">12 minutes ago</span>
                        </div>
                    </a>
                </li>
                <li class="dropdown-divider"></li>
                <li>
                    <a href="grid_options.html" class="dropdown-item">
                        <div>
                            <i class="fa fa-upload fa-fw"></i> Server Rebooted
                            <span class="float-right text-muted small">4 minutes ago</span>
                        </div>
                    </a>
                </li>
                <li class="dropdown-divider"></li>
                <li>
                    <div class="text-center link-block">
                        <a href="notifications.html" class="dropdown-item">
                            <strong>See All Alerts</strong>
                            <i class="fa fa-angle-right"></i>
                        </a>
                    </div>
                </li>
            </ul>
        </li>


        <li>
            <a href="{{ route('logout') }}"
                onclick="event.preventDefault();
                           document.getElementById('logout-form').submit();">
                <i class="fa fa-sign-out"></i> Log out
            </a>
            <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                @csrf
            </form>
        </li>
        <li>
            <a class="right-sidebar-toggle">
                <i class="fa fa-tasks"></i>
            </a>
        </li>
    </ul>

</nav>
</div>